## tegaki-zinnia-traditional-chinese 0.3

=== Makefile ===
modelfile=handwriting-zh_TW

$(modelfile).model: $(modelfile).xml
	tegaki-build -c $(modelfile).xml zinnia $(modelfile).meta

installpath=/usr/local/share/tegaki/models/zinnia/

install: $(modelfile).model
	mkdir -p $(installpath)
	install -c $(modelfile).meta $(modelfile).model $(installpath)

=== debian/changelog ===
tegaki-zinnia-traditional-chinese (0.3-0ubuntu1) raring; urgency=low

  * Initial release (LP: #1069292)

 -- Ma Xiaojun <damage3025@gmail.com>  Sun, 21 Oct 2012 20:33:26 -0500

=== debian/control ===
Source: tegaki-zinnia-traditional-chinese
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ma Xiaojun <damage3025@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.3
Homepage: http://tegaki.sourceforge.net/

Package: tegaki-zinnia-traditional-chinese
Architecture: all
Depends: ${misc:Depends}
Description: Traditional Chinese handwriting model for Zinnia
 Zinnia is a simple, customizable and portable online hand recognition
 system based on Support Vector Machines. Zinnia simply receives user pen
 strokes as a sequence of coordinate data and outputs n-best characters
 sorted by SVM confidence. To keep portability, Zinnia doesn't have any
 rendering functionality. In addition to recognition, Zinnia provides
 training module that allows us to create any hand-written recognition
 systems with low-cost.
 .
 This package provide a data model for Zinnia. With this model, Zinnia can
 recognize Traditional Chinese character.
 .
 This data model is derived from tomoe project: http://tomoe.sourceforge.jp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tegaki-zinnia-traditional-chinese/usr/share/tegaki/models/zinnia
	cp handwriting-zh_TW.model handwriting-zh_TW.meta $(CURDIR)/debian/tegaki-zinnia-traditional-chinese/usr/share/tegaki/models/zinnia

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
get-orig-source:
	# Uscan will read debian/watch, grab the correct version, repack, and leave it in the
	# current directory, given the path to the source package.
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=. \
		$(DEB_DEBIAN_DIR)/..

.PHONY: build clean binary-indep binary-arch binary get-orig-source install configure

=== debian/watch ===
version=3
http://www.tegaki.org/releases/0.3/models/tegaki-zinnia-traditional-chinese-([\d.]+).zip

## tegaki-zinnia-traditional-chinese 0.3-2maemo1

=== debian/changelog ===
tegaki-zinnia-traditional-chinese (0.3-2maemo1) unstable; urgency=low

  * Fix version string;-P

 -- Takahiro Hashimoto <kenya888@gmail.com> <kenya888@gmail.com>  Wed, 20 Oct 2010 13:29:43 +0900

tegaki-zinnia-traditional-chinese (0.3-1mamoe1) unstable; urgency=low

  * ported to maemo. 

 -- Takahiro Hashimoto <kenya888@gmail.com> <kenya888@gmail.com>  Wed, 20 Oct 2010 03:19:00 +0900

=== debian/control ===
Source: tegaki-zinnia-traditional-chinese
Section: utils
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3

Package: tegaki-zinnia-traditional-chinese
Architecture: all
Section: user/utilities
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simplified Chinese handwriting model for Zinnia
 Zinnia is a simple, customizable and portable online hand recognition
 system based on Support Vector Machines. Zinnia simply receives user pen
 strokes as a sequence of coordinate data and outputs n-best characters
 sorted by SVM confidence. To keep portability, Zinnia doesn't have any
 rendering functionality. In addition to recognition, Zinnia provides
 training module that allows us to create any hand-written recognition
 systems with low-cost.
 .
 This package provide a data model for Zinnia. With this model, Zinnia can
 recognize Simplified Chinese character.
 .
 This data model is derived from tomoe project: http://tomoe.sourceforge.jp

Package: tegaki-zinnia-traditional-chinese-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: doc for tegaki-zinnia-traditional-chinese.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tegaki-zinnia-traditional-chinese/usr/share/tegaki/models/zinnia
	cp handwriting-zh_TW.model handwriting-zh_TW.meta $(CURDIR)/debian/tegaki-zinnia-traditional-chinese/usr/share/tegaki/models/zinnia

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	maemo-optify
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.tegaki.org/releases/([\d.]+)/models/tegaki-zinnia-simplified-chinese-([\d.]+).zip
